;------------------------------------------------------------------------------

;-| ボタン配置 |---------------------------------------------------------------

;ここで各ボタンの配置を設定できます。
;右辺を押したら左辺のコマンドが有効になります。

[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;------------------------------------------------------------------------------

[Defaults]
command.time = 15
command.buffer.time = 1

;------------------------------------------------------------------------------

;-| AI起動用 |-----------------------------------------------------------------
[Command]
name = "CPU1"
command = U, D, F
time = 1

[Command]
name = "CPU2"
command = U, B, F
time = 1

[Command]
name = "CPU3"
command = U, D, D
time = 1

[Command]
name = "CPU4"
command = F, B, U
time = 1

[Command]
name = "CPU5"
command = U, F, U, B
time = 1

[Command]
name = "CPU6"
command = U, D, B
time = 1

[Command]
name = "CPU7"
command = F, F, B
time = 1

[Command]
name = "CPU8"
command = U, D, U
time = 1

[Command]
name = "CPU9"
command = F, B, B
time = 1

[Command]
name = "CPU10"
command = F, F, B, B
time = 1

[Command]
name = "CPU11"
command = U, U, F
time = 1

[Command]
name = "CPU12"
command = U, B, B
time = 1

[Command]
name = "CPU13"
command = U, B, F, F
time = 1

[Command]
name = "CPU14"
command = U, F, B, U
time = 1

[Command]
name = "CPU15"
command = U, B, F, U
time = 1

[Command]
name = "CPU16"
command = U, B, B, B
time = 1

[Command]
name = "CPU17"
command = U, D, B, F
time = 1

[Command]
name = "CPU18"
command = U, D, B, D
time = 1

[Command]
name = "CPU19"
command = U, D, F, U
time = 1

[Command]
name = "CPU20"
command = U, D, U, B
time = 1

[Command]
name = "CPU21"
command = U, D, F, F
time = 1

[Command]
name = "CPU22"
command = F, F, F, F
time = 1

[Command]
name = "CPU23"
command = U, U, U, D
time = 1

[Command]
name = "CPU24"
command = B, B, B
time = 1

[Command]
name = "CPU25"
command = D, D, D, D
time = 1

[Command]
name = "CPU26"
command = D, D, D
time = 1

[Command]
name = "CPU27"
command = F, F, F
time = 1

[Command]
name = "CPU28"
command = U, U, U
time = 1

[Command]
name = "CPU29"
command = U, U, B, B
time = 1

[Command]
name = "CPU30"
command = D, D, F, F
time = 1

[Command]
name = "CPU31"
command = U, D, F, U, D
time = 1

[Command]
name = "CPU32"
command = U, B, F, U, D
time = 1

[Command]
name = "CPU33"
command = U, D, D, U, D
time = 1

[Command]
name = "CPU34"
command = F, B, U, U, D
time = 1

[Command]
name = "CPU35"
command = U, F, U, B, U, D
time = 1

[Command]
name = "CPU36"
command = U, D, B, U, D
time = 1

[Command]
name = "CPU37"
command = F, F, B, U, D
time = 1

[Command]
name = "CPU38"
command = U, D, U, U, D
time = 1

[Command]
name = "CPU39"
command = F, B, B, U, D
time = 1

[Command]
name = "CPU40"
command = F, F, B, B, U, D
time = 1

[Command]
name = "CPU41"
command = U, U, F, U, D
time = 1

[Command]
name = "CPU42"
command = U, B, B, U, D
time = 1

[Command]
name = "CPU43"
command = U, B, F, F, U, D
time = 1

[Command]
name = "CPU44"
command = U, F, B, U, U, D
time = 1

[Command]
name = "CPU45"
command = U, B, F, U, U, D
time = 1

[Command]
name = "CPU46"
command = U, B, B, B, U, D
time = 1

[Command]
name = "CPU47"
command = U, D, B, F, U, D
time = 1

[Command]
name = "CPU48"
command = U, D, B, D, U, D
time = 1

[Command]
name = "CPU49"
command = U, D, F, U, U, D
time = 1

[Command]
name = "CPU50"
command = U, D, U, B, U, D
time = 1

;-|超必殺技|-------------------------------------------------------------------

[Command]
name = "41236_x"
command = B, DB, D, DF, F, x
time = 25

[Command]
name = "63214_x"
command = F, DF, D, DB, B, x
time = 25

[Command]
name = "236236_x"
command = D, DF, F, D, DF, F, x
time = 25

[Command]
name = "214214_x"
command = D, DB, B, D, DB, B, x
time = 25

[Command]
name = "x+a"
command = x+a
time = 25

[Command]
name = "x+b"
command = x+b
time = 25

[Command]
name = "x+c"
command = x+c
time = 25

[Command]
name = "22_x"
command = D, D, x
time = 25

;------------------------------------------------------------------------------

;-| 必殺技 |-------------------------------------------------------------------

[Command]
name = "623_A"
command = ~F, D, DF, a
time = 10

[Command]
name = "623_B"
command = ~F, D, DF, b
time = 10

[Command]
name = "623_C"
command = ~F, D, DF, c
time = 10

[Command]
name = "236_A"
command = D, DF, F, a
time = 10

[Command]
name = "236_B"
command = D, DF, F, b
time = 10

[Command]
name = "236_C"
command = D, DF, F, c
time = 10

[Command]
name = "236_B"
command = D, DF, F, a
time = 10

[Command]
name = "236_C"
command = D, DF, F, a
time = 10

[Command]
name = "214_A"
command = D, DB, B, a

[Command]
name = "214_B"
command = D, DB, B, b

[Command]
name = "214_C"
command = D, DB, B, c

;------------------------------------------------------------------------------

;-| キー２回連続入力 |---------------------------------------------------------

[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

;------------------------------------------------------------------------------

;-| 同時押し |-----------------------------------------------------------------

[Command]
name = "recovery"
command = x+y
time = 1

;------------------------------------------------------------------------------

;-| 方向キー＋ボタン |---------------------------------------------------------

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "fwd_z"
command = /$F,z
time = 1

;------------------------------------------------------------------------------

;-| ボタン単発 |---------------------------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;------------------------------------------------------------------------------

;-| 方向キー |-----------------------------------------------------------------

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup"
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

[Command]
name = "block"
command = F
time = 1

[Command]
name = "block2"
command = D
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

;------------------------------------------------------------------------------

[Statedef -1]

;------------------------------------------------------------------------------

[State -1, AI起動用]
type = VarSet
triggerall = var(59) != 1
triggerall = RoundState != 3
trigger1  = command = "CPU1"
trigger2  = command = "CPU2"
trigger3  = command = "CPU3"
trigger4  = command = "CPU4"
trigger5  = command = "CPU5"
trigger6  = command = "CPU6"
trigger7  = command = "CPU7"
trigger8  = command = "CPU8"
trigger9  = command = "CPU9"
trigger10  = command = "CPU10"
trigger11  = command = "CPU11"
trigger12  = command = "CPU12"
trigger13  = command = "CPU13"
trigger14  = command = "CPU14"
trigger15  = command = "CPU15"
trigger16  = command = "CPU16"
trigger17  = command = "CPU17"
trigger18  = command = "CPU18"
trigger19  = command = "CPU19"
trigger20  = command = "CPU20"
trigger21  = command = "CPU21"
trigger22  = command = "CPU22"
trigger23  = command = "CPU23"
trigger24  = command = "CPU24"
trigger25  = command = "CPU25"
trigger26  = command = "CPU26"
trigger27  = command = "CPU27"
trigger28  = command = "CPU28"
trigger29  = command = "CPU29"
trigger30  = command = "CPU30"
trigger31  = command = "CPU31"
trigger32  = command = "CPU32"
trigger33  = command = "CPU33"
trigger34  = command = "CPU34"
trigger35  = command = "CPU35"
trigger36  = command = "CPU36"
trigger37  = command = "CPU37"
trigger38  = command = "CPU38"
trigger39  = command = "CPU39"
trigger40  = command = "CPU40"
trigger41  = command = "CPU41"
trigger42  = command = "CPU42"
trigger43  = command = "CPU43"
trigger44  = command = "CPU44"
trigger45  = command = "CPU45"
trigger46  = command = "CPU46"
trigger47  = command = "CPU47"
trigger48  = command = "CPU48"
trigger49  = command = "CPU49"
trigger50  = command = "CPU50"
var(59) = 1

;------------------------------------------------------------------------------
;==============================================================================
; 超必殺技
;==============================================================================
;------------------------------------------------------------------------------

[State -1, チェイスファイア]
Type = ChangeState
value = 2700
triggerall = power >= 1000
triggerall = statetype != A
triggerall = ctrl
trigger1 = var(59) = 0
trigger1 = command = "41236_x"
trigger1 = var(5) = 1
trigger2 = var(59) = 0
trigger2 = command = "41236_x"
trigger2 = var(8) = 1
trigger3 = var(59) = 1
trigger3 = var(5) = 1
trigger4 = var(59) = 1
trigger4 = var(8) = 1

[State -1, ヘルズクライ]
Type = ChangeState
value = 2200
triggerall = power >= 1000
triggerall = statetype != A
triggerall = var(4) = 0
triggerall = ctrl
trigger1 = var(59) = 0
trigger1 = command = "63214_x"
trigger2 = var(59) = 1
trigger2 = p2bodydist X > 200
trigger2 = Life > 500
trigger2 = random%100 = 0

[State -1, BOOSTレイジングエッジ]
Type = ChangeState
value = 2000
triggerall = power >= 1000
triggerall = statetype != A
trigger1 = var(59) = 0
trigger1 = command = "236236_x"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "236236_x"
trigger2 = (stateno = 200) || (stateno = 210)
trigger2 = movecontact
trigger3 = var(59) = 0
trigger3 = command = "236236_x"
trigger3 = (stateno = 400) || (stateno = 410) || (stateno = 420)
trigger3 = movecontact
trigger4 = var(59) = 0
trigger4 = command = "236236_x"
trigger4 = (stateno = 1200) || (stateno = 1213)
trigger4 = movecontact
trigger5 = P2statetype != A
trigger5 = var(59) = 1
trigger5 = p2bodydist X < 40
trigger5 = (stateno = 410)
trigger5 = movehit

[State -1, フルゲイン]
Type = ChangeState
value = 2100
triggerall = power >= 1000
trigger1 = var(59) = 0
trigger1 = command = "214214_x"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "214214_x"
trigger2 = (stateno = 200) || (stateno = 210)
trigger2 = movecontact
trigger3 = var(59) = 0
trigger3 = command = "214214_x"
trigger3 = (stateno = 400) || (stateno = 410) || (stateno = 420)
trigger3 = movecontact
trigger4 = var(59) = 1
trigger4 = P2statetype = A
trigger4 = (stateno = 410)
trigger4 = movehit
trigger5 = var(59) = 1
trigger5 = P2statetype != A
trigger5 = p2bodydist X > 40
trigger5 = (stateno = 410)
trigger5 = movehit

[State -1, レンジャー召喚]
Type = ChangeState
value = 2400
triggerall = NumHelper(2500) = 0
triggerall = NumHelper(2510) = 0
triggerall = NumHelper(2520) = 0
triggerall = power >= 1000
triggerall = statetype != A
triggerall = ctrl
trigger1 = var(59) = 0
trigger1 = command = "x+c"
trigger2 = var(59) = 1
trigger2 = power >= 2000
trigger2 = random%100 = 0

[State -1, アルケミスト召喚]
Type = ChangeState
value = 2401
triggerall = NumHelper(2500) = 0
triggerall = NumHelper(2510) = 0
triggerall = NumHelper(2520) = 0
triggerall = power >= 1000
triggerall = statetype != A
triggerall = ctrl
trigger1 = var(59) = 0
trigger1 = command = "x+b"
trigger2 = var(59) = 1
trigger2 = power >= 2000
trigger2 = random%100 = 0

[State -1, ガンナー召喚]
Type = ChangeState
value = 2402
triggerall = NumHelper(2500) = 0
triggerall = NumHelper(2510) = 0
triggerall = NumHelper(2520) = 0
triggerall = power >= 1000
triggerall = statetype != A
triggerall = ctrl
trigger1 = var(59) = 0
trigger1 = command = "x+a"
trigger2 = var(59) = 1
trigger2 = power >= 2000
trigger2 = random%100 = 0

[State -1, カウンター]
Type = ChangeState
value = 2300
triggerall = power >= 1000
triggerall = statetype != A
triggerall = ctrl
trigger1 = var(59) = 0
trigger1 = command = "22_x"
trigger2 = var(59) = 1
trigger2 = p2movetype = A
trigger2 = p2bodydist X < 40
trigger2 = random%100 = 0

;------------------------------------------------------------------------------
;==============================================================================
; 必殺技
;==============================================================================
;------------------------------------------------------------------------------

;------------------------------------------------------------------------------

[State -1, ガードキャンセルレイジングエッジ]
type = ChangeState
value = 930
triggerall = stateno = [150, 155]
triggerall = power >= 500
trigger1 = var(59) = 0
trigger1 = (command = "623_A") || (command = "623_B") || (command = "623_C")
trigger2 = var(59) = 1
trigger2 = p2movetype = A
trigger2 = p2bodydist X < 40
trigger2 = random%100 = 0

[State -1, レイジングエッジ１]
type = ChangeState
value = 1210
triggerall = statetype != A
trigger1 = var(59) = 0
trigger1 = command = "623_A"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "623_A"
trigger2 = (stateno = 200) || (stateno = 210)
trigger2 = movecontact
trigger3 = var(59) = 0
trigger3 = command = "623_A"
trigger3 = (stateno = 400) || (stateno = 410) || (stateno = 420)
trigger3 = movecontact
trigger4 = var(59) = 1
trigger4 = stateno = 210
trigger4 = p2bodydist X < 30
trigger4 = movehit
trigger5 = var(59) = 1
trigger5 = stateno = 410
trigger5 = movehit
trigger6 = var(59) = 1
trigger6 = p2statetype = A
trigger6 = p2movetype = A
trigger6 = p2bodydist X < 30
trigger6 = random%2 = 0
trigger6 = ctrl

[State -1, レイジングエッジ２]
type = ChangeState
value = 1211
triggerall = statetype != A
trigger1 = var(59) = 0
trigger1 = command = "623_B"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "623_B"
trigger2 = (stateno = 200) || (stateno = 210)
trigger2 = movecontact
trigger3 = var(59) = 0
trigger3 = command = "623_B"
trigger3 = (stateno = 400) || (stateno = 410) || (stateno = 420)
trigger3 = movecontact
trigger4 = var(59) = 1
trigger4 = stateno = 210
trigger4 = p2bodydist X < 30
trigger4 = movehit
trigger5 = var(59) = 1
trigger5 = stateno = 410
trigger5 = movehit
trigger6 = var(59) = 1
trigger6 = p2statetype = A
trigger6 = p2movetype = A
trigger6 = p2bodydist X < 30
trigger6 = random%2 = 0
trigger6 = ctrl

[State -1, レイジングエッジ３]
type = ChangeState
value = 1212
triggerall = statetype != A
trigger1 = var(59) = 0
trigger1 = command = "623_C"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "623_C"
trigger2 = (stateno = 200) || (stateno = 210)
trigger2 = movecontact
trigger3 = var(59) = 0
trigger3 = command = "623_C"
trigger3 = (stateno = 400) || (stateno = 410) || (stateno = 420)
trigger3 = movecontact
trigger4 = var(59) = 1
trigger4 = stateno = 210
trigger4 = p2bodydist X < 30
trigger4 = movehit
trigger5 = var(59) = 1
trigger5 = stateno = 410
trigger5 = movehit
trigger6 = var(59) = 1
trigger6 = p2statetype = A
trigger6 = p2movetype = A
trigger6 = p2bodydist X < 30
trigger6 = random%2 = 0
trigger6 = ctrl

[State -1, トルネード１]
type = ChangeState
value = 1250
triggerall = statetype != A
triggerall = NumHelper(1255) = 0
trigger1 = var(59) = 0
trigger1 = command = "236_A"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "236_A"
trigger2 = statetype != A
trigger2 = (stateno = 200) || (stateno = 210)
trigger2 = movecontact
trigger3 = var(59) = 0
trigger3 = command = "236_A"
trigger3 = statetype != A
trigger3 = (stateno = 400) || (stateno = 410) || (stateno = 420)
trigger3 = movehit
trigger4 = var(59) = 1
trigger4 = p2movetype = I
trigger4 = p2bodydist X > 90
trigger4 = random%10 = 0
trigger4 = ctrl
trigger5 = var(59) = 1
trigger5 = stateno = 210
trigger5 = p2bodydist X > 90
trigger5 = movecontact

[State -1, トルネード２]
type = ChangeState
value = 1251
triggerall = statetype != A
triggerall = NumHelper(1255) = 0
trigger1 = var(59) = 0
trigger1 = command = "236_B"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "236_B"
trigger2 = statetype != A
trigger2 = (stateno = 200) || (stateno = 210)
trigger2 = movecontact
trigger3 = var(59) = 0
trigger3 = command = "236_B"
trigger3 = statetype != A
trigger3 = (stateno = 400) || (stateno = 410) || (stateno = 420)
trigger3 = movehit
trigger4 = var(59) = 1
trigger4 = p2movetype = I
trigger4 = p2bodydist X > 90
trigger4 = random%10 = 0
trigger4 = ctrl
trigger5 = var(59) = 1
trigger5 = stateno = 210
trigger5 = p2bodydist X > 90
trigger5 = movecontact

[State -1, トルネード３]
type = ChangeState
value = 1252
triggerall = statetype != A
triggerall = NumHelper(1255) = 0
trigger1 = var(59) = 0
trigger1 = command = "236_C"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "236_C"
trigger2 = statetype != A
trigger2 = (stateno = 200) || (stateno = 210)
trigger2 = movecontact
trigger3 = var(59) = 0
trigger3 = command = "236_C"
trigger3 = statetype != A
trigger3 = (stateno = 400) || (stateno = 410) || (stateno = 420)
trigger3 = movehit
trigger4 = var(59) = 1
trigger4 = p2movetype = I
trigger4 = p2bodydist X > 90
trigger4 = random%10 = 0
trigger4 = ctrl
trigger5 = var(59) = 1
trigger5 = stateno = 210
trigger5 = p2bodydist X > 90
trigger5 = movecontact

[State -1, ソニックレイド１]
type = ChangeState
value = 1230
triggerall = statetype != A
trigger1 = var(59) = 0
trigger1 = command = "214_A"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "214_A"
trigger2 = (stateno = 200) || (stateno = 210)
trigger2 = movecontact
trigger3 = var(59) = 1
trigger3 = p2bodydist X > 90
trigger3 = random%200 = 0
trigger3 = ctrl
trigger4 = var(59) = 1
trigger4 = p2bodydist X > 90
trigger4 = (stateno = 200) || (stateno = 210)
trigger4 = movecontact
trigger4 = random%200 = 0

[State -1, ソニックレイド２]
type = ChangeState
value = 1231
triggerall = statetype != A
trigger1 = var(59) = 0
trigger1 = command = "214_B"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "214_B"
trigger2 = (stateno = 200) || (stateno = 210)
trigger2 = movecontact
trigger3 = var(59) = 1
trigger3 = p2bodydist X > 90
trigger3 = random%200 = 0
trigger3 = ctrl
trigger4 = var(59) = 1
trigger4 = p2bodydist X > 90
trigger4 = (stateno = 200) || (stateno = 210)
trigger4 = movecontact
trigger4 = random%200 = 0

[State -1, ソニックレイド３]
type = ChangeState
value = 1232
triggerall = statetype != A
trigger1 = var(59) = 0
trigger1 = command = "214_C"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "214_C"
trigger2 = (stateno = 200) || (stateno = 210)
trigger2 = movecontact
trigger3 = var(59) = 1
trigger3 = p2bodydist X > 90
trigger3 = random%200 = 0
trigger3 = ctrl
trigger4 = var(59) = 1
trigger4 = p2bodydist X > 90
trigger4 = (stateno = 200) || (stateno = 210)
trigger4 = movecontact
trigger4 = random%200 = 0

;------------------------------------------------------------------------------

;==============================================================================
; 投げ
;==============================================================================
;------------------------------------------------------------------------------

[State -1, 投げ]
type = ChangeState
value = 800
triggerall = command = "b"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = var(59) = 0
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = var(59) = 0
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 8
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H
trigger3 = var(59) = 1
trigger3 = p2bodydist X < 3
trigger3 = (p2statetype = S) || (p2statetype = C)
trigger3 = p2movetype != H
trigger3 = random%100 = 0

;------------------------------------------------------------------------------

;==============================================================================
; 通常攻撃技
;==============================================================================
;------------------------------------------------------------------------------

[State -1, 挑発]
type = ChangeState
value = 195
triggerall = statetype != A
trigger1 = command = "start"
trigger1 = var(59) = 0
trigger1 = ctrl

;------------------------------------------------------------------------------

[State -1, 立ち弱]
type = ChangeState
value = 200
triggerall = statetype = S
triggerall = ctrl
trigger1 = var(59) = 0
trigger1 = command = "a"
trigger1 = command != "holddown"
trigger1 = ctrl
trigger2 = var(59) = 1
trigger2 = p2movetype = I
trigger2 = p2bodydist X < 40
trigger2 = random%10 = 0

[State -1, 立ち中]
type = ChangeState
value = 210
triggerall = statetype = S
trigger1 = var(59) = 0
trigger1 = command = "b"
trigger1 = command != "holddown"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "b"
trigger2 = command != "holddown"
trigger2 = stateno = 200
trigger2 = movecontact
trigger3 = var(59) = 1
trigger3 = stateno = 200
trigger3 = movehit
trigger4 = var(59) = 1
trigger4 = p2movetype != A
trigger4 = p2bodydist X = [40, 90]
trigger4 = random%10 = 0
trigger4 = ctrl

[State -1, 立ち強(近)]
type = ChangeState
value = 410
triggerall = statetype = S
trigger1 = var(59) = 0
trigger1 = command = "c"
trigger1 = command != "holddown"
trigger1 = p2bodydist X < 40
trigger1 = ctrl
trigger2 = var(59) = 1
trigger2 = p2movetype != A
trigger2 = p2bodydist X < 40
trigger2 = random%10 = 0
trigger2 = ctrl

[State -1, 立ち強(遠)]
type = ChangeState
value = 220
triggerall = statetype = S
trigger1 = var(59) = 0
trigger1 = command = "c"
trigger1 = command != "holddown"
trigger1 = ctrl
trigger2 = var(59) = 1
trigger2 = p2movetype != A
trigger2 = p2bodydist X > 90
trigger2 = random%10 = 0
trigger2 = ctrl

;------------------------------------------------------------------------------

[State -1, しゃがみ弱]
type = ChangeState
value = 400
triggerall = statetype != A
trigger1 = var(59) = 0
trigger1 = command = "a"
trigger1 = command = "holddown"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "a"
trigger2 = command = "holddown"
trigger2 = stateno = 400
trigger2 = movecontact
trigger3 = var(59) = 1
trigger3 = ctrl
trigger3 = (p2statetype = S) || (p2statetype = C)
trigger3 = p2bodydist X < 40

[State -1, しゃがみ中]
type = ChangeState
value = 410
triggerall = statetype = C
trigger1 = var(59) = 0
trigger1 = command = "b"
trigger1 = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "b"
trigger2 = command = "holddown"
trigger2 = stateno = 400
trigger2 = movecontact
trigger3 = var(59) = 1
trigger3 = stateno = 400
trigger3 = p2bodydist X < 40
trigger3 = movecontact
trigger4 = var(59) = 1
trigger4 = p2statetype = A
trigger4 = p2movetype != A
trigger4 = p2bodydist X < 40
trigger4 = random%2 = 0
trigger4 = ctrl

[State -1, しゃがみ強]
type = ChangeState
value = 420
triggerall = statetype = C
trigger1 = var(59) = 0
trigger1 = command = "c"
trigger1 = command = "holddown"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "c"
trigger2 = command = "holddown"
trigger2 = stateno = 400
trigger2 = movecontact
trigger3 = var(59) = 1
trigger3 = p2movetype != A
trigger3 = p2bodydist X > 90
trigger3 = random%10 = 0
trigger3 = ctrl
trigger4 = var(59) = 1
trigger4 = p2bodydist X > 40
trigger4 = stateno = 400
trigger4 = movehit

;------------------------------------------------------------------------------

[State -1, ジャンプ弱]
type = ChangeState
value = 600
triggerall = stateno != 105
triggerall = statetype = A
trigger1 = var(59) = 0
trigger1 = command = "a"
trigger1 = ctrl
trigger2 = var(59) = 1
trigger2 = p2bodydist X < 40
trigger2 = random%5 = 0
trigger2 = ctrl

[State -1, ジャンプ中]
type = ChangeState
value = 610
triggerall = stateno != 105
triggerall = statetype = A
trigger1 = var(59) = 0
trigger1 = command = "b"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "b"
trigger2 = stateno = 600
trigger2 = movecontact
trigger3 = var(59) = 1
trigger3 = p2bodydist X = [40, 90]
trigger3 = Pos Y <= -20
trigger3 = random%5 = 0
trigger3 = ctrl
trigger4 = var(59) = 1
trigger4 = stateno = 600
trigger4 = movecontact

[State -1, ジャンプ強]
type = ChangeState
value = 620
triggerall = stateno != 105
triggerall = statetype = A
trigger1 = var(59) = 0
trigger1 = command = "c"
trigger1 = ctrl
trigger2 = var(59) = 0
trigger2 = command = "c"
trigger2 = stateno = 1213
trigger2 = movehit
trigger2 = AnimElemTime(5) >= 0
trigger3 = var(59) = 0
trigger3 = command = "c"
trigger3 = stateno = 2000
trigger3 = movehit
trigger3 = AnimElemTime(20) >= 0
trigger4 = var(59) = 1
trigger4 = stateno = 1213
trigger4 = movehit
trigger4 = AnimElemTime(5) >= 0
trigger5 = var(59) = 1
trigger5 = stateno = 2000
trigger5 = movehit
trigger5 = AnimElemTime(20) >= 0
trigger6 = var(59) = 1
trigger6 = p2bodydist X < 90
trigger6 = Pos Y <= -60
trigger6 = random%5 = 0
trigger6 = ctrl

;------------------------------------------------------------------------------

;------------------------------------------------------------------------------
;==============================================================================
; 特殊技
;==============================================================================
;------------------------------------------------------------------------------

[State -1, ゲージ溜め]
type = ChangeState
value = 900
triggerall = power < 3000
triggerall = statetype != A && ctrl
trigger1 = var(59) = 0
trigger1 = command = "hold_y"
trigger2 = var(59) = 1
trigger2 = p2movetype != A
trigger2 = p2bodydist X - Pos X > 100
trigger2 = random%100 = 0

;------------------------------------------------------------------------------

[State -1, 回り込み]
type = ChangeState
value = 920
triggerall = statetype = S && ctrl
trigger1 = var(59) = 0
trigger1 = command = "fwd_z"
trigger2 = var(59) = 1
trigger2 = p2movetype = A
trigger2 = p2bodydist X < 200
trigger2 = random%100 = 0
trigger2 = ctrl

;------------------------------------------------------------------------------

[State -1, ダッシュ]
type = ChangeState
value = 100
triggerall = statetype = S
triggerall = ctrl
trigger1 = var(59) = 0
trigger1 = command = "FF"

[State -1, バックステップ]
type = ChangeState
value = 105
triggerall = statetype = S
triggerall = ctrl
trigger1 = var(59) = 0
trigger1 = command = "BB"
trigger2 = var(59) = 1
trigger2 = p2bodydist X < 100
trigger2 = BackEdgeBodyDist > 50
trigger2 = p2statetype = L

;------------------------------------------------------------------------------

[State -1, 立ちブロッキング]
type = ChangeState
value = 910
triggerall = ctrl
trigger1 = var(59) = 0
trigger1 = command = "block"
trigger2 = var(59) = 1
trigger2 = p2movetype = A
trigger2 = random%100 = 0

[State -1, しゃがみブロッキング]
type = ChangeState
value = 910
triggerall = ctrl
trigger1 = var(59) = 0
trigger1 = command = "block2"
trigger2 = var(59) = 1
trigger2 = p2movetype = A
trigger2 = random%100 = 0

;------------------------------------------------------------------------------
